# Python X2Go (Client) API Documentation (v0.6.1.3)

## x2go.backends.profiles.file module

`x2go.backends.profiles.file.X2GoSessionProfiles` class - managing X2Go Client session profiles read from a file (`~/.x2goclient/sessions`).

`x2go.backends.profiles.base.X2GoSessionProfiles` is a public API class. Use this class in your Python X2Go based applications.

class `x2go.backends.profiles.file.``X2GoSessionProfiles`(config_files=['/sbuild-nonexistent/.x2goclient/sessions', '/etc/x2goclient/sessions'], session_profile_defaults=None, logger=None, loglevel=56, **kwargs)

  Bases: `x2go.backends.profiles.base.X2GoSessionProfiles`, `x2go.inifiles.X2GoIniFile`

  `get_type`(section, key)

    Override the inifile class’s get_type method due to the special layout of the session profile class.

    Parameters:

    - section (`str`) – INI file section
    - key (`str`) – key in INI file section

    Returns: | the data type of `key` in `section`
    Return type: | `type`